#6000: automate creation of excludelist for koji-shadow
by Fedora Release Engineering
#6000: automate creation of excludelist for koji-shadow
-----------------------------+------------------------
Reporter: sharkcz | Owner: rel-eng@…
Type: task | Status: new
Milestone: Fedora 20 Final | Component: koji
Keywords: meeting | Blocked By:
Blocking: |
-----------------------------+------------------------
koj-shadow depends on excludelist to skip packages that contain
ExcludeArch or ExclusiveArch tags making the package fail to build on
secondary arch. The list is created by the srpm-exlcuded-arch.py script
from releng git repo. It would be useful to automate the runs of this
script and send the results to the releng list for example once in a week.
This way the secondary arch maintainers could keep their copies up-to-
date.
--
Ticket URL: <https://fedorahosted.org/rel-eng/ticket/6000>
Fedora Release Engineering <http://fedorahosted.org/rel-eng>
Release Engineering for the Fedora Project
9 years, 1 month
[releng] Updated tag rawhide-stable
by Till Maas
The lightweight tag 'rawhide-stable' was updated to point to:
60bea54... buildbranched: Use $DIST for mash config edit
It previously pointed to:
b1d5c23... buildbranched/rawhide: Introduce $SPIN_KICKSTARTS_BRANCH
NOTE: People pulling from the repository will not get the new tag.
For more information, please see:
http://live.gnome.org/Git/Help/TagUpdates
9 years, 2 months
[releng] buildbranched: Use $DIST for mash config edit
by Till Maas
commit 60bea5416517c0da50a63afade42898e8d76eb09
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 22:58:38 2014 +0200
buildbranched: Use $DIST for mash config edit
scripts/buildbranched | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index a66369f..b1d9704 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -103,12 +103,12 @@ mock -r $MOCKCONFIG --uniqueext=$DATE --init
log "mock install base packages"
mock -r $MOCKCONFIG --uniqueext=$DATE --no-clean --install koji yum createrepo cvs make intltool findutils mash yum-utils rsync repoview hardlink
# until we move to bodhi lets not be strict about the gpg keys
-mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "sed -i -e 's|strict_keys = True|strict_keys = False|g' /etc/mash/branched.mash"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "sed -i -e 's|strict_keys = True|strict_keys = False|g' /etc/mash/${DIST}.mash"
#disable delta close to release as we do not want them in the final trees
-mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "sed -i -e 's|delta = True|delta = False|g' /etc/mash/branched.mash"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "sed -i -e 's|delta = True|delta = False|g' /etc/mash/${DIST}.mash"
# secondary arches are a bit harder to make sure everything is signed lets not be too strict, but actual release compsoes need to be.
[ -n "$ARCH" ] && {
-mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "sed -i -e 's|strict_keys = True|strict_keys = False|g' /etc/mash/branched.$ARCH.mash"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "sed -i -e 's|strict_keys = True|strict_keys = False|g' /etc/mash/${DIST}.$ARCH.mash"
}
# Copy in the hosts file so that we get the right address for koji
9 years, 2 months
[releng] Updated tag rawhide-stable
by Till Maas
The lightweight tag 'rawhide-stable' was updated to point to:
b1d5c23... buildbranched/rawhide: Introduce $SPIN_KICKSTARTS_BRANCH
It previously pointed to:
14d5dcd... buildbranched/rawhide: Use $MASHDIR
NOTE: People pulling from the repository will not get the new tag.
For more information, please see:
http://live.gnome.org/Git/Help/TagUpdates
9 years, 2 months
[releng] buildbranched/rawhide: Introduce $SPIN_KICKSTARTS_BRANCH
by Till Maas
commit b1d5c2380ca81d896dc28593b3fb8f56ba22615c
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 22:48:45 2014 +0200
buildbranched/rawhide: Introduce $SPIN_KICKSTARTS_BRANCH
scripts/buildbranched | 3 ++-
scripts/buildrawhide | 3 ++-
2 files changed, 4 insertions(+), 2 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 86071dc..a66369f 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -11,6 +11,7 @@ ARCH=$2
BRANCHED="21"
DIST=branched
COMPSFILE="comps-f${BRANCHED}.xml"
+SPIN_KICKSTARTS_BRANCH="f${BRANCHED}"
TREEPREFIX="/pub/fedora/linux"
RSYNC_EXTRA_OPTS="--link-dest=$TREEPREFIX/development/rawhide/"
@@ -209,7 +210,7 @@ log "started checking out spin-kickstarts"
pushd ../
git clone https://git.fedorahosted.org/git/spin-kickstarts.git
pushd spin-kickstarts
-git checkout f$BRANCHED
+git checkout "${SPIN_KICKSTARTS_BRANCH}"
log "finished checking out spin-kickstarts"
log "started building live/arm/cloud images"
../releng/scripts/build-livecds $BRANCHED $DATE $BRANCHED
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index e88debf..0de0d6c 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -11,6 +11,7 @@ ARCH=$2
BRANCHED=rawhide
DIST=rawhide
COMPSFILE=comps-rawhide.xml
+SPIN_KICKSTARTS_BRANCH="master"
TREEPREFIX="/pub/fedora/linux"
RSYNC_EXTRA_OPTS=
@@ -201,7 +202,7 @@ log "started checking out spin-kickstarts"
pushd ../
git clone https://git.fedorahosted.org/git/spin-kickstarts.git
pushd spin-kickstarts
-#git checkout f$BRANCHED
+git checkout "${SPIN_KICKSTARTS_BRANCH}"
log "finished checking out spin-kickstarts"
log "started building live/arm/cloud images"
../releng/scripts/build-livecds $BRANCHED $DATE $BRANCHED
9 years, 2 months
[releng] buildbranched/rawhide: Use https to clone git repos
by Till Maas
commit 54d5d88b8b069b217df8c7db441e3cb84e0ad2a7
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 22:42:15 2014 +0200
buildbranched/rawhide: Use https to clone git repos
scripts/buildbranched | 4 ++--
scripts/buildrawhide | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 223df41..86071dc 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -86,7 +86,7 @@ log "blocking retired packages"
log "git clone of comps started"
pushd $TMPDIR
-git clone git://git.fedorahosted.org/comps.git && {
+git clone https://git.fedorahosted.org/git/comps.git && {
pushd comps
make "${COMPSFILE}"
cp "${COMPSFILE}" $logdir/
@@ -207,7 +207,7 @@ send_fedmsg start image.start
log "started checking out spin-kickstarts"
pushd ../
-git clone git://git.fedorahosted.org/git/spin-kickstarts/
+git clone https://git.fedorahosted.org/git/spin-kickstarts.git
pushd spin-kickstarts
git checkout f$BRANCHED
log "finished checking out spin-kickstarts"
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 5364308..e88debf 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -86,7 +86,7 @@ log "blocking retired packages"
log "git clone of comps started"
pushd $TMPDIR
-git clone git://git.fedorahosted.org/comps.git && {
+git clone https://git.fedorahosted.org/git/comps.git && {
pushd comps
make "${COMPSFILE}"
cp "${COMPSFILE}" $logdir/
@@ -199,7 +199,7 @@ send_fedmsg start image.start
log "started checking out spin-kickstarts"
pushd ../
-git clone git://git.fedorahosted.org/git/spin-kickstarts/
+git clone https://git.fedorahosted.org/git/spin-kickstarts.git
pushd spin-kickstarts
#git checkout f$BRANCHED
log "finished checking out spin-kickstarts"
9 years, 2 months
[releng] buildbranched/rawhide: Sync rsync code
by Till Maas
commit dad8e90b9c991922dc457d1d9d8d63740c72f5cc
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 22:33:03 2014 +0200
buildbranched/rawhide: Sync rsync code
scripts/buildbranched | 5 +++--
scripts/buildrawhide | 7 ++++---
2 files changed, 7 insertions(+), 5 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index fe5e6ce..223df41 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -13,6 +13,7 @@ DIST=branched
COMPSFILE="comps-f${BRANCHED}.xml"
TREEPREFIX="/pub/fedora/linux"
+RSYNC_EXTRA_OPTS="--link-dest=$TREEPREFIX/development/rawhide/"
MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
EXPANDARCH=""
DEPOPTS="--treename F-$BRANCHED"
@@ -181,9 +182,9 @@ send_fedmsg start rsync.start
log "started compose sync"
# data
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --exclude repodata/ ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS $RSYNC_EXTRA_OPTS --exclude repodata/ ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
# repodata & cleanup
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --delete --delete-after ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS $RSYNC_EXTRA_OPTS --delete --delete-after ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
log "finished compose sync"
if [ "$?" = "0" ]; then
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 9aa53e4..5364308 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -13,6 +13,7 @@ DIST=rawhide
COMPSFILE=comps-rawhide.xml
TREEPREFIX="/pub/fedora/linux"
+RSYNC_EXTRA_OPTS=
MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
EXPANDARCH=""
DEPOPTS=""
@@ -116,7 +117,7 @@ send_fedmsg done mash.complete
log "finished mash"
log "starting hardlink"
# hardlink the noarch deltarpms between x86_64 and i386
-mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "hardlink -v -c ${MASHDIR}/rawhide$EXPANDARCH/*/os/drpms/"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "hardlink -v -c ${MASHDIR}/$BRANCHED$EXPANDARCH/*/os/drpms/"
log "finished hardlink"
log "starting repodiff"
@@ -173,9 +174,9 @@ send_fedmsg start rsync.start
log "started compose sync"
# data
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --exclude repodata/ ${MASHDIR}/rawhide$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS $RSYNC_EXTRA_OPTS --exclude repodata/ ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
# repodata & cleanup
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --delete --delete-after ${MASHDIR}/rawhide$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS $RSYNC_EXTRA_OPTS --delete --delete-after ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
log "finished compose sync"
if [ "$?" = "0" ]; then
9 years, 2 months
[releng] buildbranched/rawhide: Reduce duplication
by Till Maas
commit 184b89d0d3c394a110174172ece5f412dfbcbcd6
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 22:13:13 2014 +0200
buildbranched/rawhide: Reduce duplication
scripts/buildbranched | 10 +++++-----
scripts/buildrawhide | 10 +++++-----
2 files changed, 10 insertions(+), 10 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 0c3b5a7..fe5e6ce 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -17,7 +17,7 @@ MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
EXPANDARCH=""
DEPOPTS="--treename F-$BRANCHED"
MASHOPTS=""
-MOCKCONFIG=fedora-branched-compose-i386
+MOCKCONFIG="fedora-${DIST}-compose-i386"
TOMAIL="devel(a)lists.fedoraproject.org test(a)lists.fedoraproject.org"
SUBJECT='F-'$BRANCHED' Branched report: '$DATE' changes'
FROM="Fedora Branched Report <rawhide(a)fedoraproject.org>"
@@ -25,16 +25,16 @@ RSYNCPREFIX="sudo -u ftpsync"
[ -n "$ARCH" ] && {
TREEPREFIX="/mnt/koji/tree"
EXPANDARCH="-$ARCH"
-DEPOPTS="--treename F-$BRANCHED --nomail"
+DEPOPTS="%{DEPOPTS} --nomail"
MASHOPTS="-c /etc/mash/mash.$ARCH.conf"
TOMAIL="secondary(a)lists.fedoraproject.org $ARCH(a)lists.fedoraproject.org"
-SUBJECT=$ARCH' F-'$BRANCHED' Branched report: '$DATE' changes'
-FROM="${ARCH} Fedora Branched Report <rawhide(a)fedoraproject.org>"
+SUBJECT="${ARCH} ${SUBJECT}"
+FROM="${ARCH} ${FROM}"
RSYNCPREFIX=""
}
[ "$ARCH" == "ppc" ] && {
-MOCKCONFIG=fedora-branched-compose-ppc64
+MOCKCONFIG="fedora-${DIST}-compose-ppc64"
}
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 50bfc00..9aa53e4 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -17,7 +17,7 @@ MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
EXPANDARCH=""
DEPOPTS=""
MASHOPTS=""
-MOCKCONFIG=fedora-rawhide-compose-i386
+MOCKCONFIG="fedora-${DIST}-compose-i386"
TOMAIL="devel(a)lists.fedoraproject.org test(a)lists.fedoraproject.org"
SUBJECT='rawhide report: '$DATE' changes'
FROM="Fedora Rawhide Report <rawhide(a)fedoraproject.org>"
@@ -25,16 +25,16 @@ RSYNCPREFIX="sudo -u ftpsync"
[ -n "$ARCH" ] && {
TREEPREFIX="/mnt/koji/tree"
EXPANDARCH="-$ARCH"
-DEPOPTS="--nomail"
+DEPOPTS="%{DEPOPTS} --nomail"
MASHOPTS="-c /etc/mash/mash.$ARCH.conf"
TOMAIL="secondary(a)lists.fedoraproject.org $ARCH(a)lists.fedoraproject.org"
-SUBJECT=$ARCH' rawhide report: '$DATE' changes'
-FROM="${ARCH} Fedora Rawhide Report <rawhide(a)fedoraproject.org>"
+SUBJECT="${ARCH} ${SUBJECT}"
+FROM="${ARCH} ${FROM}"
RSYNCPREFIX=""
}
[ "$ARCH" == "ppc" ] && {
-MOCKCONFIG=fedora-rawhide-compose-ppc64
+MOCKCONFIG="fedora-${DIST}-compose-ppc64"
}
9 years, 2 months
[releng] buildbranched/rawhide: Introduce COMPSFILE
by Till Maas
commit 38e63ee63937a7343e917aa344c6816e8e4e379f
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 22:00:02 2014 +0200
buildbranched/rawhide: Introduce COMPSFILE
scripts/buildbranched | 10 ++++++----
scripts/buildrawhide | 14 ++++++++------
2 files changed, 14 insertions(+), 10 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index c034479..0c3b5a7 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -10,6 +10,7 @@ ARCH=$2
BRANCHED="21"
DIST=branched
+COMPSFILE="comps-f${BRANCHED}.xml"
TREEPREFIX="/pub/fedora/linux"
MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
@@ -86,14 +87,14 @@ log "git clone of comps started"
pushd $TMPDIR
git clone git://git.fedorahosted.org/comps.git && {
pushd comps
- make comps-f$BRANCHED.xml
- cp comps-f$BRANCHED.xml $logdir/
+ make "${COMPSFILE}"
+ cp "${COMPSFILE}" $logdir/
popd
}
popd
log "git clone of comps finished"
-[ -f $logdir/comps-f$BRANCHED.xml ] || exit 1
+[ -f "$logdir/${COMPSFILE}" ] || exit 1
log "mock init"
mock -r $MOCKCONFIG --uniqueext=$DATE --init
@@ -116,7 +117,8 @@ send_fedmsg start mash.start
log "starting mash"
# Drop privs here so that we run as the masher UID
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o ${MASHDIR} --compsfile $logdir/comps-f$BRANCHED.xml $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o ${MASHDIR} --compsfile $logdir/"${COMPSFILE}" $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
+ "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o ${MASHDIR} --compsfile $logdir/${COMPSFILE} $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
send_fedmsg done mash.complete
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index d3e4fad..50bfc00 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -10,6 +10,7 @@ ARCH=$2
BRANCHED=rawhide
DIST=rawhide
+COMPSFILE=comps-rawhide.xml
TREEPREFIX="/pub/fedora/linux"
MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
@@ -86,14 +87,14 @@ log "git clone of comps started"
pushd $TMPDIR
git clone git://git.fedorahosted.org/comps.git && {
pushd comps
- make comps-rawhide
- cp comps-rawhide.xml $logdir/
+ make "${COMPSFILE}"
+ cp "${COMPSFILE}" $logdir/
popd
}
popd
log "git clone of comps finished"
-[ -f $logdir/comps-rawhide.xml ] || exit 1
+[ -f "$logdir/${COMPSFILE}" ] || exit 1
log "mock init"
mock -r $MOCKCONFIG --uniqueext=$DATE --init
@@ -107,7 +108,8 @@ send_fedmsg start mash.start
log "starting mash"
# Drop privs here so that we run as the masher UID
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/rawhide -o ${MASHDIR} --compsfile $logdir/comps-rawhide.xml rawhide$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o ${MASHDIR} --compsfile $logdir/"${COMPSFILE}" $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
+ "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o ${MASHDIR} --compsfile $logdir/${COMPSFILE} $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
send_fedmsg done mash.complete
@@ -119,11 +121,11 @@ log "finished hardlink"
log "starting repodiff"
mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "rm -f /var/lib/rpm/__db*"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file://${MASHDIR}/rawhide$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/rawhide/source/SRPMS > $logdir/repodiff"
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file://${MASHDIR}/$BRANCHED$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/$BRANCHED/source/SRPMS > $logdir/repodiff"
log "finished repodiff"
log "starting spam-o-matic"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS ${MASHDIR}/rawhide$EXPANDARCH >$logdir/depcheck" &
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS ${MASHDIR}/$BRANCHED$EXPANDARCH >$logdir/depcheck" &
log "finished spam-o-matic"
send_fedmsg start pungify.start
9 years, 2 months